import React, { forwardRef } from 'react';
import { renderPathForWeight } from '../lib/index.esm.js';
import IconBase from '../lib/IconBase.esm.js';

/* GENERATED FILE */
var pathsByWeight = /*#__PURE__*/new Map();
pathsByWeight.set("bold", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    strokeWidth: "24",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("line", {
    x1: "92",
    y1: "76",
    x2: "164",
    y2: "76",
    fill: "none",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeWidth: "24"
  }), React.createElement("circle", {
    cx: "104",
    cy: "128",
    r: "16"
  }), React.createElement("circle", {
    cx: "152",
    cy: "128",
    r: "16"
  }), React.createElement("circle", {
    cx: "104",
    cy: "176",
    r: "16"
  }), React.createElement("circle", {
    cx: "152",
    cy: "176",
    r: "16"
  }));
});
pathsByWeight.set("duotone", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    opacity: "0.2"
  }), React.createElement("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    strokeWidth: "16",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("rect", {
    x: "31.99995",
    y: "48.00781",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256.00777 0.00786) rotate(90)",
    strokeWidth: "16",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("circle", {
    cx: "88",
    cy: "148",
    r: "12"
  }), React.createElement("circle", {
    cx: "128",
    cy: "148",
    r: "12"
  }), React.createElement("circle", {
    cx: "168",
    cy: "148",
    r: "12"
  }), React.createElement("circle", {
    cx: "88",
    cy: "188",
    r: "12"
  }), React.createElement("circle", {
    cx: "128",
    cy: "188",
    r: "12"
  }), React.createElement("circle", {
    cx: "168",
    cy: "188",
    r: "12"
  }));
});
pathsByWeight.set("fill", function () {
  return React.createElement(React.Fragment, null, React.createElement("path", {
    d: "M200,24H56A16.01833,16.01833,0,0,0,40,40V216a16.01833,16.01833,0,0,0,16,16H200a16.01833,16.01833,0,0,0,16-16V40A16.01833,16.01833,0,0,0,200,24ZM88,199.99219a12,12,0,1,1,12-12A12.01375,12.01375,0,0,1,88,199.99219Zm0-40a12,12,0,1,1,12-12A12.01375,12.01375,0,0,1,88,159.99219Zm40,40a12,12,0,1,1,12-12A12.01375,12.01375,0,0,1,128,199.99219Zm0-40a12,12,0,1,1,12-12A12.01375,12.01375,0,0,1,128,159.99219Zm40,40a12,12,0,1,1,12-12A12.01375,12.01375,0,0,1,168,199.99219Zm0-40a12,12,0,1,1,12-12A12.01375,12.01375,0,0,1,168,159.99219Zm16-56a7.99977,7.99977,0,0,1-8,8H80a7.99977,7.99977,0,0,1-8-8v-40a7.99977,7.99977,0,0,1,8-8h96a7.99977,7.99977,0,0,1,8,8Z"
  }));
});
pathsByWeight.set("light", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    strokeWidth: "12",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    strokeWidth: "12",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("circle", {
    cx: "88",
    cy: "148",
    r: "10"
  }), React.createElement("circle", {
    cx: "128",
    cy: "148",
    r: "10"
  }), React.createElement("circle", {
    cx: "168",
    cy: "148",
    r: "10"
  }), React.createElement("circle", {
    cx: "88",
    cy: "188",
    r: "10"
  }), React.createElement("circle", {
    cx: "128",
    cy: "188",
    r: "10"
  }), React.createElement("circle", {
    cx: "168",
    cy: "188",
    r: "10"
  }));
});
pathsByWeight.set("thin", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    strokeWidth: "8",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    strokeWidth: "8",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("circle", {
    cx: "88",
    cy: "148",
    r: "8"
  }), React.createElement("circle", {
    cx: "128",
    cy: "148",
    r: "8"
  }), React.createElement("circle", {
    cx: "168",
    cy: "148",
    r: "8"
  }), React.createElement("circle", {
    cx: "88",
    cy: "188",
    r: "8"
  }), React.createElement("circle", {
    cx: "128",
    cy: "188",
    r: "8"
  }), React.createElement("circle", {
    cx: "168",
    cy: "188",
    r: "8"
  }));
});
pathsByWeight.set("regular", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "80",
    y: "64",
    width: "96",
    height: "48",
    strokeWidth: "16",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("rect", {
    x: "32",
    y: "48",
    width: "192",
    height: "160",
    rx: "8",
    transform: "translate(256) rotate(90)",
    strokeWidth: "16",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }), React.createElement("circle", {
    cx: "88",
    cy: "148",
    r: "12"
  }), React.createElement("circle", {
    cx: "128",
    cy: "148",
    r: "12"
  }), React.createElement("circle", {
    cx: "168",
    cy: "148",
    r: "12"
  }), React.createElement("circle", {
    cx: "88",
    cy: "188",
    r: "12"
  }), React.createElement("circle", {
    cx: "128",
    cy: "188",
    r: "12"
  }), React.createElement("circle", {
    cx: "168",
    cy: "188",
    r: "12"
  }));
});

var renderPath = function renderPath(weight, color) {
  return renderPathForWeight(weight, color, pathsByWeight);
};

var Calculator = /*#__PURE__*/forwardRef(function (props, ref) {
  return React.createElement(IconBase, Object.assign({
    ref: ref
  }, props, {
    renderPath: renderPath
  }));
});
Calculator.displayName = "Calculator";

export default Calculator;
//# sourceMappingURL=Calculator.esm.js.map
