import React, { forwardRef } from 'react';
import { renderPathForWeight } from '../lib/index.esm.js';
import IconBase from '../lib/IconBase.esm.js';

/* GENERATED FILE */
var pathsByWeight = /*#__PURE__*/new Map();
pathsByWeight.set("bold", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "51.63247",
    y: "51.63247",
    width: "152.73506",
    height: "152.73506",
    rx: "8",
    transform: "translate(-53.01934 128) rotate(-45)",
    strokeWidth: "24",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }));
});
pathsByWeight.set("duotone", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "51.63247",
    y: "51.63247",
    width: "152.73506",
    height: "152.73506",
    rx: "8",
    transform: "translate(-53.01934 128) rotate(-45)",
    opacity: "0.2"
  }), React.createElement("rect", {
    x: "51.63247",
    y: "51.63247",
    width: "152.73506",
    height: "152.73506",
    rx: "8",
    transform: "translate(-53.01934 128) rotate(-45)",
    strokeWidth: "16",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }));
});
pathsByWeight.set("fill", function () {
  return React.createElement(React.Fragment, null, React.createElement("path", {
    d: "M236,139.31348,139.31348,236a16.01779,16.01779,0,0,1-22.627,0L20,139.31348a16.01779,16.01779,0,0,1,0-22.627L116.68652,20a16.01779,16.01779,0,0,1,22.627,0L236,116.68652A16.01779,16.01779,0,0,1,236,139.31348Z"
  }));
});
pathsByWeight.set("light", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "51.63247",
    y: "51.63247",
    width: "152.73506",
    height: "152.73506",
    rx: "8",
    transform: "translate(-53.01934 128) rotate(-45)",
    strokeWidth: "12",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }));
});
pathsByWeight.set("thin", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "51.63247",
    y: "51.63247",
    width: "152.73506",
    height: "152.73506",
    rx: "8",
    transform: "translate(-53.01934 128) rotate(-45)",
    strokeWidth: "8",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }));
});
pathsByWeight.set("regular", function (color) {
  return React.createElement(React.Fragment, null, React.createElement("rect", {
    x: "51.63247",
    y: "51.63247",
    width: "152.73506",
    height: "152.73506",
    rx: "8",
    transform: "translate(-53.01934 128) rotate(-45)",
    strokeWidth: "16",
    stroke: color,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    fill: "none"
  }));
});

var renderPath = function renderPath(weight, color) {
  return renderPathForWeight(weight, color, pathsByWeight);
};

var Diamond = /*#__PURE__*/forwardRef(function (props, ref) {
  return React.createElement(IconBase, Object.assign({
    ref: ref
  }, props, {
    renderPath: renderPath
  }));
});
Diamond.displayName = "Diamond";

export default Diamond;
//# sourceMappingURL=Diamond.esm.js.map
