import React, { forwardRef } from 'react';
import { renderPathForWeight } from '../lib/index.esm.js';
import IconBase from '../lib/IconBase.esm.js';

/* GENERATED FILE */
var pathsByWeight = /*#__PURE__*/new Map();
pathsByWeight.set("bold", function () {
  return React.createElement(React.Fragment, null, React.createElement("circle", {
    cx: "92",
    cy: "60",
    r: "16"
  }), React.createElement("circle", {
    cx: "164",
    cy: "60",
    r: "16"
  }), React.createElement("circle", {
    cx: "92",
    cy: "128",
    r: "16"
  }), React.createElement("circle", {
    cx: "164",
    cy: "128",
    r: "16"
  }), React.createElement("circle", {
    cx: "92",
    cy: "196",
    r: "16"
  }), React.createElement("circle", {
    cx: "164",
    cy: "196",
    r: "16"
  }));
});
pathsByWeight.set("duotone", function () {
  return React.createElement(React.Fragment, null, React.createElement("circle", {
    cx: "92",
    cy: "60",
    r: "12"
  }), React.createElement("circle", {
    cx: "164",
    cy: "60",
    r: "12"
  }), React.createElement("circle", {
    cx: "92",
    cy: "128",
    r: "12"
  }), React.createElement("circle", {
    cx: "164",
    cy: "128",
    r: "12"
  }), React.createElement("circle", {
    cx: "92",
    cy: "196",
    r: "12"
  }), React.createElement("circle", {
    cx: "164",
    cy: "196",
    r: "12"
  }));
});
pathsByWeight.set("fill", function () {
  return React.createElement(React.Fragment, null, React.createElement("path", {
    d: "M104,60.0001a12,12,0,1,1-12-12A12,12,0,0,1,104,60.0001Zm60,12a12,12,0,1,0-12-12A12,12,0,0,0,164,72.0001Zm-72,44a12,12,0,1,0,12,12A12,12,0,0,0,92,116.0001Zm72,0a12,12,0,1,0,12,12A12,12,0,0,0,164,116.0001Zm-72,68a12,12,0,1,0,12,12A12,12,0,0,0,92,184.0001Zm72,0a12,12,0,1,0,12,12A12,12,0,0,0,164,184.0001Z"
  }));
});
pathsByWeight.set("light", function () {
  return React.createElement(React.Fragment, null, React.createElement("circle", {
    cx: "92",
    cy: "60",
    r: "10"
  }), React.createElement("circle", {
    cx: "164",
    cy: "60",
    r: "10"
  }), React.createElement("circle", {
    cx: "92",
    cy: "128",
    r: "10"
  }), React.createElement("circle", {
    cx: "164",
    cy: "128",
    r: "10"
  }), React.createElement("circle", {
    cx: "92",
    cy: "196",
    r: "10"
  }), React.createElement("circle", {
    cx: "164",
    cy: "196",
    r: "10"
  }));
});
pathsByWeight.set("thin", function () {
  return React.createElement(React.Fragment, null, React.createElement("circle", {
    cx: "92",
    cy: "60",
    r: "8"
  }), React.createElement("circle", {
    cx: "164",
    cy: "60",
    r: "8"
  }), React.createElement("circle", {
    cx: "92",
    cy: "128",
    r: "8"
  }), React.createElement("circle", {
    cx: "164",
    cy: "128",
    r: "8"
  }), React.createElement("circle", {
    cx: "92",
    cy: "196",
    r: "8"
  }), React.createElement("circle", {
    cx: "164",
    cy: "196",
    r: "8"
  }));
});
pathsByWeight.set("regular", function () {
  return React.createElement(React.Fragment, null, React.createElement("circle", {
    cx: "92",
    cy: "60",
    r: "12"
  }), React.createElement("circle", {
    cx: "164",
    cy: "60",
    r: "12"
  }), React.createElement("circle", {
    cx: "92",
    cy: "128",
    r: "12"
  }), React.createElement("circle", {
    cx: "164",
    cy: "128",
    r: "12"
  }), React.createElement("circle", {
    cx: "92",
    cy: "196",
    r: "12"
  }), React.createElement("circle", {
    cx: "164",
    cy: "196",
    r: "12"
  }));
});

var renderPath = function renderPath(weight, color) {
  return renderPathForWeight(weight, color, pathsByWeight);
};

var DotsSixVertical = /*#__PURE__*/forwardRef(function (props, ref) {
  return React.createElement(IconBase, Object.assign({
    ref: ref
  }, props, {
    renderPath: renderPath
  }));
});
DotsSixVertical.displayName = "DotsSixVertical";

export default DotsSixVertical;
//# sourceMappingURL=DotsSixVertical.esm.js.map
